
From: Christoph Lameter <clameter@engr.sgi.com>

Fix for the zone comparison:

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/page_alloc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/page_alloc.c~periodically-drain-non-local-pagesets-fix mm/page_alloc.c
--- 25/mm/page_alloc.c~periodically-drain-non-local-pagesets-fix	Thu Jun  2 15:31:31 2005
+++ 25-akpm/mm/page_alloc.c	Thu Jun  2 15:31:31 2005
@@ -529,7 +529,7 @@ void drain_remote_pages(void)
 		struct per_cpu_pageset *pset;
 
 		/* Do not drain local pagesets */
-		if (zone == zone_table[numa_node_id()])
+		if (zone->zone_pgdat->node_id == numa_node_id())
 			continue;
 
 		pset = zone->pageset[smp_processor_id()];
_
